Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.xml.parser
Interface XmlReadHandler

All Known Implementing Classes:
  AbstractXmlReadHandler, Base64ReadHandler, BasicStrokeReadHandler, ColorReadHandler, FontReadHandler, GenericReadHandler, GradientPaintReadHandler, InsetsReadHandler, ListReadHandler, NullReadHandler, ObjectRefHandler, Point2DReadHandler, Rectangle2DReadHandler, RenderingHintsReadHandler, RenderingHintValueReadHandler, StringReadHandler

    public interface XmlReadHandler

A handler for reading an XML element.

Method Summary
`void` | `characters(char[] ch, int start, int length)` This method is called to process the character data between element tags.
`void` | `endElement(java.lang.String tagName)` This method is called at the end of an element.
`java.lang.Object` | `getObject()` Returns the object for this element or null, if this element does not create an object.
`void` | `init(RootXmlReadHandler rootHandler, java.lang.String tagName)` Initialise.
`void` | `startElement(java.lang.String tagName, org.xml.sax.Attributes attrs)` This method is called at the start of an element.

Method Detail

### startElement

    void startElement(java.lang.String tagName,
                      org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException,
                             XmlReaderException

  This method is called at the start of an element.

  Parameters:
    `tagName` - the tag name.
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.
    `XmlReaderException` - if there is a reader error.

### characters

    void characters(char[] ch,
                    int start,
                    int length)
                    throws org.xml.sax.SAXException

  This method is called to process the character data between element tags.

  Parameters:
    `ch` - the character buffer.
    `start` - the start index.
    `length` - the length.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.

### endElement

    void endElement(java.lang.String tagName)
                    throws org.xml.sax.SAXException,
                           XmlReaderException

  This method is called at the end of an element.

  Parameters:
    `tagName` - the tag name.
  Throws:
    `org.xml.sax.SAXException` - if there is a parsing error.
    `XmlReaderException` - if there is a reader error.

### getObject

    java.lang.Object getObject()
                               throws XmlReaderException

  Returns the object for this element or null, if this element does not create an object.

  Returns:
    the object.
  Throws:
    `XmlReaderException` - if there is a parsing error.

### init

    void init(RootXmlReadHandler rootHandler,
              java.lang.String tagName)

  Initialise.

  Parameters:
    `rootHandler` - the root handler.
    `tagName` - the tag name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD